dev-libs/
openssl

Robust, full-featured Open Source Toolkit for the Transport Layer Security (TLS)

https://www.openssl.org/

Available Versions

Versionamd64x86alphaarmarm64hppaia64ppcppc64riscvsparc
3.2.1-r1  : 0/3 ~amd64 ~x86 ~alpha ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~sparc
3.2.1  : 0/3 ?amd64?x86?alpha?arm?arm64?hppa?ia64?ppc?ppc64?riscv?sparc
3.2.0  : 0/3 ?amd64?x86?alpha?arm?arm64?hppa?ia64?ppc?ppc64?riscv?sparc
3.1.5-r1  : 0/3 ~amd64 ~x86 ~alpha ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~sparc
3.1.5  : 0/3 ~amd64 ~x86 ~alpha ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~sparc
3.1.4  : 0/3 ~amd64 ~x86 ~alpha ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~sparc
3.0.13  : 0/3 ~amd64 ~x86 ~alpha ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~sparc
3.0.12  : 0/3 amd64 x86 ~alpha arm arm64 hppa ~ia64 ppc ppc64 ~riscv sparc
3.0.11  : 0/3 amd64 x86 ~alpha arm arm64 hppa ~ia64 ppc ppc64 ~riscv sparc
1.1.1w  : 0/1.1 ~amd64 ~x86 ~alpha ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~sparc
1.1.1u  : 0/1.1 amd64 x86 ~alpha arm arm64 hppa ~ia64 ppc ppc64 ~riscv sparc
1.0.2u-r1  : 0 B amd64 x86 ~alpha arm arm64 hppa ~ia64 ppc ppc64 ~riscv sparc

Masks

  • OpenSSL 1.1.x is EOL on 2023-09-11. Please upgrade immediately to >= OpenSSL 3. https://www.openssl.org/blog/blog/2023/03/28/1.1.1-EOL/ https://www.openssl.org/blog/blog/2023/06/15/1.1.1-EOL-Reminder/ Please run a full world upgrade, especially checking /etc/portage and your world file for old PHP or Ruby references.
    <dev-libs/openssl-3
    Sam James <sam@gentoo.org> (2023-09-09)

Package Metadata